umbrello: Uml::CmdResizeWidget Class Reference

umbrello 25.08.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Private Attributes | List of all members
Uml::CmdResizeWidget Class Reference

`#include <cmdresizewidget.h>`

Inheritance diagram for Uml::CmdResizeWidget:

## Public Member Functions
| CmdResizeWidget (UMLWidget *widget)
| ~CmdResizeWidget ()
void | redo ()
void | undo ()
Public Member Functions inherited from Uml::CmdBaseWidgetCommand
| CmdBaseWidgetCommand (UMLWidget *widget)
| CmdBaseWidgetCommand (AssociationWidget *widget)
virtual | ~CmdBaseWidgetCommand ()

## Private Attributes
QSizeF | m_size
QSizeF | m_sizeOld

## Additional Inherited Members
Protected Member Functions inherited from Uml::CmdBaseWidgetCommand
void | setWidget (UMLWidget *widget)
void | setWidget (AssociationWidget *widget)
void | addWidgetToScene (UMLWidget *widget)
void | addWidgetToScene (AssociationWidget *widget)
void | removeWidgetFromScene (UMLWidget *widget)
void | removeWidgetFromScene (AssociationWidget *widget)
UMLWidget * | widget ()
AssociationWidget * | assocWidget ()
UMLScene * | scene ()
Protected Attributes inherited from Uml::CmdBaseWidgetCommand
Uml::ID::Type | m_sceneId
Uml::ID::Type | m_widgetId
QPointer< UMLScene > | m_scene
QPointer< UMLWidget > | m_widget
QPointer< AssociationWidget > | m_assocWidget
bool | m_isAssoc

## Constructor & Destructor Documentation

## ◆ CmdResizeWidget()

Uml::CmdResizeWidget::CmdResizeWidget | ( | UMLWidget * | widget | ) |
| explicit

## ◆ ~CmdResizeWidget()

Uml::CmdResizeWidget::~CmdResizeWidget | ( |  | ) |

## Member Function Documentation

## ◆ redo()

void Uml::CmdResizeWidget::redo | ( |  | ) |

## ◆ undo()

void Uml::CmdResizeWidget::undo | ( |  | ) |

## Member Data Documentation

## ◆ m_size

QSizeF Uml::CmdResizeWidget::m_size
| private

## ◆ m_sizeOld

QSizeF Uml::CmdResizeWidget::m_sizeOld
| private

The documentation for this class was generated from the following files:

- umbrello/cmds/widget/cmdresizewidget.h
- umbrello/cmds/widget/cmdresizewidget.cpp